Subject: Re: [PATCH] PPC: Sync guest visible MMU state

From: Alexander Graf <[email-masked]>
Date: Thu, 26 Nov 2009 14:16:48 +0100

Avi Kivity wrote:
> On 11/26/2009 02:46 PM, Alexander Graf wrote:
>>
>>> Please avoid unnamed unions in user-visible headers - they're a gcc
>>> extension.
>>>
>>> Yes, we have them elsewhere, but let's not add to the pile.
>>>      
>> I'm open to scalable suggestions that don't break existing userspace
>> code.
>> If I name the union now, existing qemu code will break. If I align the
>> pad array manually I'll definitely mess up something.
>>    
>
> You can keep pvr out of the (named) union.

So we'd have

sregs.padded.ppc64.slb?

I don't see how that is an improvement.

Alex